Package org.mariadb.jdbc.message.client

## Class HandshakeResponse

- java.lang.Object
- - org.mariadb.jdbc.message.client.HandshakeResponse

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ClientMessage`

    public final class HandshakeResponse
    extends Object
    implements org.mariadb.jdbc.message.ClientMessage

Server handshake response builder. see https://mariadb.com/kb/en/connection/#client-handshake-response

### Constructor Summary

Constructors
`HandshakeResponse​(Credential credential, String authenticationPluginType, byte[] seed, Configuration conf, String host, long clientCapabilities, byte exchangeCharset)` Object with parsed results

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)` Encode client message to socket.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket, validateLocalFileName`

### Constructor Detail

#### HandshakeResponse

    public HandshakeResponse​(Credential credential,
                             String authenticationPluginType,
                             byte[] seed,
                             Configuration conf,
                             String host,
                             long clientCapabilities,
                             byte exchangeCharset)

Object with parsed results

Parameters:
  `credential` - credential
  `authenticationPluginType` - authentication plugin to use
  `seed` - server seed
  `conf` - configuration
  `host` - current host
  `clientCapabilities` - client capabilities
  `exchangeCharset` - connection charset

### Method Detail

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context)
               throws IOException

Description copied from interface: `org.mariadb.jdbc.message.ClientMessage`
Encode client message to socket.

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Parameters:
  `writer` - socket writer
  `context` - connection context
Returns:
  number of client message written
Throws:
  `IOException` - if socket error occur